﻿using System.Web.UI;
using System.Web.UI.WebControls;
using Microsoft.SharePoint.Utilities;
using Microsoft.SharePoint.WebControls;

namespace RH
{
	public class AlertsGridView : SPGridView
	{
		protected override void OnRowCreated(GridViewRowEventArgs args)
		{
			base.OnRowCreated(args);

			if (args.Row.RowType != DataControlRowType.DataRow) return;
			if (!AllowGrouping) return;

			object propertyValue = DataBinder.GetPropertyValue(args.Row.DataItem, GroupField);
			if (propertyValue == null) return;
			var gridViewRow = args.Row as SPGridViewRow;
			if (gridViewRow == null) return;

			//parent OnRowCreated has alredy put value, we just reformat them
			if (gridViewRow.HeaderText == null) return;

			string value = propertyValue.ToString();
         if (DisplayGroupFieldName)
         {
         	gridViewRow.HeaderText = !string.IsNullOrEmpty(GroupFieldDisplayName) ? SPHttpUtility.HtmlDecode(GroupFieldDisplayName) : SPHttpUtility.HtmlDecode(GroupField);
         	gridViewRow.HeaderText += " : " + SPHttpUtility.HtmlDecode(value);
         }
         else
			{
				gridViewRow.HeaderText = SPHttpUtility.HtmlDecode(value);
			}
		}
	}
}